Page MenuHomePhabricator

Request to rename LegoFan4000 to MacFan4000 on WikiTech
Closed, ResolvedPublic

Description

I would like my account to be renamed to MacFan4000 to match my global WMF account.

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptMay 17 2017, 6:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MacFan4000 updated the task description. (Show Details)May 17 2017, 6:23 PM
MacFan4000 renamed this task from Request to rename LegoFam4000 to MacFan4000 on WikiTech to Request to rename LegoFan4000 to MacFan4000 on WikiTech.May 17 2017, 7:01 PM

User MacFan4000 already exists in LDAP. The account was created 2016-08-25T22:53:04Z. Both accounts are registered to the same email address.

I don't know what changes this would entail from the documented procedure at https://wikitech.wikimedia.org/wiki/Renaming_users. @demon would need to weigh in on the feasibility of merging gerrit accounts. If accounts can't be merged I suppose we would need to understand how to first delete the existing MacFan4000 LDAP and gerrit accounts and the perform the rename procedure on the LegoFan4000 account.

Paladox moved this task from Bugs & stuff to Local hacks on the Gerrit board.May 18 2017, 10:07 PM
Paladox moved this task from Local hacks to Repo Admin on the Gerrit board.
demon added a comment.May 19 2017, 1:52 PM

User MacFan4000 already exists in LDAP. The account was created 2016-08-25T22:53:04Z. Both accounts are registered to the same email address.

I don't know what changes this would entail from the documented procedure at https://wikitech.wikimedia.org/wiki/Renaming_users. @demon would need to weigh in on the feasibility of merging gerrit accounts. If accounts can't be merged I suppose we would need to understand how to first delete the existing MacFan4000 LDAP and gerrit accounts and the perform the rename procedure on the LegoFan4000 account.

It can be done, but it'll be manual/painful. I can look into it next week.

MacFan4000 triaged this task as Medium priority.Jun 5 2017, 11:12 PM
demon added a comment.Jun 6 2017, 6:50 PM

User MacFan4000 already exists in LDAP. The account was created 2016-08-25T22:53:04Z. Both accounts are registered to the same email address.

I don't know what changes this would entail from the documented procedure at https://wikitech.wikimedia.org/wiki/Renaming_users. @demon would need to weigh in on the feasibility of merging gerrit accounts. If accounts can't be merged I suppose we would need to understand how to first delete the existing MacFan4000 LDAP and gerrit accounts and the perform the rename procedure on the LegoFan4000 account.

In thinking about this some more, I think the best course of action would be to disable the old LDAP account and just start using the new one. For cleaning up wikitech we'd need to possibly install UserMergeAndDelete. For gerrit I'll have to muck about in the database for awhile--there is no user merging feature.

Curious about your thoughts on this @bd808

bd808 added a comment.Jun 6 2017, 10:14 PM

User MacFan4000 has no contributions on wikitech, so we could just delete the local MediaWiki account and its associated LDAP record and then treat the LegoFan4000 -> MacFan4000 like a "normal" LDAP+wikitech+gerrit rename. We could also skip the delete if that seems scary for some reason and instead rename MacFan4000 to something else before renaming LegoFan4000.

demon added a comment.Jun 6 2017, 10:21 PM

User MacFan4000 has no contributions on wikitech, so we could just delete the local MediaWiki account and its associated LDAP record and then treat the LegoFan4000 -> MacFan4000 like a "normal" LDAP+wikitech+gerrit rename. We could also skip the delete if that seems scary for some reason and instead rename MacFan4000 to something else before renaming LegoFan4000.

That would actually be easier in Gerrit too. Then I could keep his existing account_id there and just tweak his account info instead of having to merge two accounts.

bd808 added a comment.Jun 12 2017, 9:17 PM

After talking this over on irc, the plan is to:

NOTE: changing the unix shell name (LDAP uid) of the current uid=legofan4000,ou=people,dc=wikimedia,dc=org record is a possibly bigger deal. It doesn't look however like this account has ever been used for shell access to Labs instances so it could be attempted.
bd808 added a comment.Jun 13 2017, 8:20 PM
  • rename MacFan4000 to Abandoned-MacFan4000 using Special:RenameUser
  • Delete the LDAP record for uid=macfan4000,ou=people,dc=wikimedia,dc=org

These steps have been done. Everything should be clear for @demon to perform the normal renaming procedure.

$ ldapmodify -v -D 'uid=novaadmin,ou=people,dc=wikimedia,dc=org' -W -f MacFan4000.ldif
ldap_initialize( <DEFAULT> )
Enter LDAP Password:
replace sn:
        MacFan4000
replace cn:
        MacFan4000
modifying entry "uid=legofan4000,ou=people,dc=wikimedia,dc=org"
modify complete

On wikitech: The user "LegoFan4000" has been renamed to "MacFan4000".

I changed the uid as well.

$ ldapmodify -v -D 'uid=novaadmin,ou=people,dc=wikimedia,dc=org' -W -f MacFan4000-part2.ldif
ldap_initialize( <DEFAULT> )
Enter LDAP Password:
modifying rdn of entry "uid=legofan4000,ou=people,dc=wikimedia,dc=org"
        new RDN: "uid=macfan4000" (do not keep existing values)
rename complete
demon closed this task as Resolved.Jun 16 2017, 12:15 AM
demon claimed this task.

Updated on Gerrit as well.

Mentioned in SAL (#wikimedia-operations) [2018-10-16T12:52:39Z] <gtirloni> T186571 removed legofan4000 user from project-tools group (leftover from T165624 legofan4000->macfan4000 rename)

Restricted Application added a project: User-MacFan4000. · View Herald TranscriptOct 16 2018, 12:52 PM

Mentioned in SAL (#wikimedia-cloud) [2018-10-16T15:13:54Z] <bd808> (repost for gtirloni) T186571 removed legofan4000 user from project-tools group (leftover from T165624 legofan4000->macfan4000 rename)